Name:		pdftk-java
Version:	3.3.3
Release:	%mkrel 2
Summary:	PDF Tool Kit
License:	GPLv2+
Group:		Publishing
URL:		https://gitlab.com/pdftk-java/pdftk
Source0:	https://gitlab.com/pdftk-java/pdftk/-/archive/v%{version}/pdftk-v%{version}.tar.gz
# https://gitlab.com/pdftk-java/pdftk/-/issues/155
Patch1:		pdftk-fix-build-with-bouncycastle-1.75.patch
BuildArch:	noarch

BuildRequires:	javapackages-local
BuildRequires:	ant
BuildRequires:	apache-commons-lang3
BuildRequires:	bouncycastle >= 1.75

Requires:	apache-commons-lang3
Requires:	bouncycastle

Provides:	pdftk = %{version}-%{release}

%description
Pdftk is a simple tool for doing everyday things with PDF documents.
Keep one in the top drawer of your desktop and use it to:

  - Merge PDF Documents
  - Split PDF Pages into a New Document
  - Decrypt Input as Necessary (Password Required)
  - Encrypt Output as Desired
  - Fill PDF Forms with FDF Data and/or Flatten Forms
  - Apply a Background Watermark
  - Report on PDF Metrics, including Metadata and Bookmarks
  - Update PDF Metadata
  - Attach Files to PDF Pages or the PDF Document
  - Unpack PDF Attachments
  - Burst a PDF Document into Single Pages
  - Uncompress and Re-Compress Page Streams
  - Repair Corrupted PDF (Where Possible)

%prep
%autosetup -p1 -n pdftk-v%{version}

%build
mkdir lib
build-jar-repository lib bcprov commons-lang3
%ant jar

%install
install -Dpm 0644 build/jar/pdftk.jar %{buildroot}%{_javadir}/pdftk.jar
install -Dpm 0644 pdftk.1 %{buildroot}%{_mandir}/man1/pdftk.1

%jpackage_script com.gitlab.pdftk_java.pdftk "" "" bcprov:commons-lang3:pdftk pdftk true

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/pdftk
%{_mandir}/man1/pdftk.1*
%{_javadir}/pdftk.jar


%changelog
* Wed Jun 05 2024 daviddavid <daviddavid> 3.3.3-2.mga10
+ Revision: 2070043
- add debian patch to fix build with bouncycastle >= 1.75
- rebuild for java 21

* Sun Nov 06 2022 daviddavid <daviddavid> 3.3.3-1.mga9
+ Revision: 1903975
- new version: 3.3.3

* Wed Aug 24 2022 papoteur <papoteur> 3.3.2-1.mga9
+ Revision: 1880113
- new 3.3.2

* Thu Mar 31 2022 umeabot <umeabot> 3.2.2-2.mga9
+ Revision: 1836959
- Mageia 9 Mass Rebuild

* Sat Apr 17 2021 daviddavid <daviddavid> 3.2.2-1.mga9
+ Revision: 1716285
- new version: 3.2.2
- remove merged upstream patch

* Mon Dec 21 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1662519
- add upstream patch to fix build with bcprov >= 1.67
- new version: 3.2.1

* Tue Jul 14 2020 daviddavid <daviddavid> 3.1.3-1.mga8
+ Revision: 1605970
- new version: 3.1.3

* Sat Feb 15 2020 umeabot <umeabot> 3.0.6-3.mga8
+ Revision: 1527696
- Mageia 8 Mass Rebuild

* Tue Jul 23 2019 daviddavid <daviddavid> 3.0.6-2.mga8
+ Revision: 1423586
- add virtual provide on pdftk

* Mon Jul 15 2019 daviddavid <daviddavid> 3.0.6-1.mga8
+ Revision: 1421624
- initial package pdftk-java

